# Instruments events

Instruments events

Endpoint: POST Instruments events
Version: 1.96.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Event type
    Enum: "INSTRUMENT.ONBOARDED", "INSTRUMENT.ACTIVATED", "INSTRUMENT.DEACTIVATED", "INSTRUMENT.FRACTIONAL_TRADING_ENABLED", "INSTRUMENT.FRACTIONAL_TRADING_DISABLED", "INSTRUMENT.DATA_CHANGED"

  - `object` (object, required)

  - `object.id` (string, required)
    Instrument unique identifier.

  - `object.name` (string, required)
    Instrument name

  - `object.fractional_trading` (boolean, required)
    Determines whether the platform can handle fractional investments within this instrument.

  - `object.trading_status` (string, required)
    Instrument trading status
* ACTIVE - The instrument can currently be traded on the Upvest platform. 
* INACTIVE - The instrument cannot currently be traded on the Upvest platform.
    Enum: "ACTIVE", "INACTIVE"

  - `object.created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.updated_at` (string, required)
    Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.isin` (string)
    International securities identification number defined by [ISO 6166](https://en.wikipedia.org/wiki/International_Securities_Identification_Number).

  - `object.wkn` (string)
    German securities identification code known as [Wertpapierkennnummer](https://en.wikipedia.org/wiki/Wertpapierkennnummer).

  - `object.details` (object)
    Details

  - `object.details.distribution_countries` (array)
    Distribution Countries

  - `webhook_id` (string, required)
    Webhook unique identifier.


## Response 200 fields
